/*
 * This file is part of Jelie,
 * (c) 2002 Julien Pilet <julien.pilet@epfl.ch> and
 * Stephane Magnenat <stephane.magnenat@epfl.ch>
 *
 * Jelie is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 *
 * Jelie is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*!
 * \file 
 * \brief Common include file for the debug handler and the debugger
 * \author Julien Pilet
 */

#ifndef _SAVE_ON_HOST_H_
#define _SAVE_ON_HOST_H_

#define INVALID_COMMAND 'I'

#define TARGET_TO_HOST_CMD_MASK 0xFF000000

#define SAVE_ON_HOST 0x80000000
#define LOAD_FROM_HOST 0x40000000
#define TARGET_READY_FOR_CMD 0x20000000
#define save_R0 0
#define save_R1 1
#define save_R2 2 
#define save_R3 3
#define save_R4 4
#define save_R5 5
#define save_R6 6
#define save_R7 7
#define save_R8 8
#define save_R9 9
#define save_R10 10
#define save_R11 11
#define save_R12 12
#define save_R13 13
#define save_R14 14

//! LR is the PC of the running program
#define save_LR 15

//! SPSR is the CPSR of the running program
#define save_SPSR 16

#define NBR_OF_SAVE_PLACES 17

#endif 

